def preordine(tree):
    if tree == None:
        return
    ## In generale, invece di stampare il valore si fa qualcosa di più utile
    print(tree.getRootVal())
    preordine(tree.getLeftChild())
    preordine(tree.getRightChild())

def postordine(tree):
    if tree == None:
        return
    postordine(tree.getLeftChild())
    postordine(tree.getRightChild())
    ## In generale, invece di stampare il valore si fa qualcosa di più utile
    print(tree.getRootVal())

def simmetrica(tree):
    if tree == None:
        return
    simmetrica(tree.getLeftChild())
    ## In generale, invece di stampare il valore si fa qualcosa di più utile
    print(tree.getRootVal())
    simmetrica(tree.getRightChild())


import BuildTree, BinaryTree

albero = BuildTree.costruisci_albero("albero.txt", "n_sx,dx")
print("Visita in preordine:")
preordine(albero)
print()
print("Visita in postordine:")
postordine(albero)
print()
print("Visita in ordine simmetrico:")
simmetrica(albero)
